]> git.sven.stormbind.net Git - sven/exfat-utils.git/blob - Makefile.in
Update debian/copyright.
[sven/exfat-utils.git] / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 #
18 #       Makefile.am (30.03.15)
19 #       Automake source.
20 #
21 #       Free exFAT implementation.
22 #       Copyright (C) 2010-2015  Andrew Nayenko
23 #
24 #       This program is free software; you can redistribute it and/or modify
25 #       it under the terms of the GNU General Public License as published by
26 #       the Free Software Foundation, either version 2 of the License, or
27 #       (at your option) any later version.
28 #
29 #       This program is distributed in the hope that it will be useful,
30 #       but WITHOUT ANY WARRANTY; without even the implied warranty of
31 #       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
32 #       GNU General Public License for more details.
33 #
34 #       You should have received a copy of the GNU General Public License along
35 #       with this program; if not, write to the Free Software Foundation, Inc.,
36 #       51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
37 #
38 VPATH = @srcdir@
39 am__is_gnu_make = { \
40   if test -z '$(MAKELEVEL)'; then \
41     false; \
42   elif test -n '$(MAKE_HOST)'; then \
43     true; \
44   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
45     true; \
46   else \
47     false; \
48   fi; \
49 }
50 am__make_running_with_option = \
51   case $${target_option-} in \
52       ?) ;; \
53       *) echo "am__make_running_with_option: internal error: invalid" \
54               "target option '$${target_option-}' specified" >&2; \
55          exit 1;; \
56   esac; \
57   has_opt=no; \
58   sane_makeflags=$$MAKEFLAGS; \
59   if $(am__is_gnu_make); then \
60     sane_makeflags=$$MFLAGS; \
61   else \
62     case $$MAKEFLAGS in \
63       *\\[\ \   ]*) \
64         bs=\\; \
65         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
66           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
67     esac; \
68   fi; \
69   skip_next=no; \
70   strip_trailopt () \
71   { \
72     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
73   }; \
74   for flg in $$sane_makeflags; do \
75     test $$skip_next = yes && { skip_next=no; continue; }; \
76     case $$flg in \
77       *=*|--*) continue;; \
78         -*I) strip_trailopt 'I'; skip_next=yes;; \
79       -*I?*) strip_trailopt 'I';; \
80         -*O) strip_trailopt 'O'; skip_next=yes;; \
81       -*O?*) strip_trailopt 'O';; \
82         -*l) strip_trailopt 'l'; skip_next=yes;; \
83       -*l?*) strip_trailopt 'l';; \
84       -[dEDm]) skip_next=yes;; \
85       -[JT]) skip_next=yes;; \
86     esac; \
87     case $$flg in \
88       *$$target_option*) has_opt=yes; break;; \
89     esac; \
90   done; \
91   test $$has_opt = yes
92 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
93 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
94 pkgdatadir = $(datadir)/@PACKAGE@
95 pkgincludedir = $(includedir)/@PACKAGE@
96 pkglibdir = $(libdir)/@PACKAGE@
97 pkglibexecdir = $(libexecdir)/@PACKAGE@
98 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
99 install_sh_DATA = $(install_sh) -c -m 644
100 install_sh_PROGRAM = $(install_sh) -c
101 install_sh_SCRIPT = $(install_sh) -c
102 INSTALL_HEADER = $(INSTALL_DATA)
103 transform = $(program_transform_name)
104 NORMAL_INSTALL = :
105 PRE_INSTALL = :
106 POST_INSTALL = :
107 NORMAL_UNINSTALL = :
108 PRE_UNINSTALL = :
109 POST_UNINSTALL = :
110 subdir = .
111 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
112 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
113 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
114         $(ACLOCAL_M4)
115 DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
116         $(am__configure_deps) $(am__DIST_COMMON)
117 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
118  configure.lineno config.status.lineno
119 mkinstalldirs = $(install_sh) -d
120 CONFIG_HEADER = $(top_builddir)/libexfat/config.h
121 CONFIG_CLEAN_FILES =
122 CONFIG_CLEAN_VPATH_FILES =
123 AM_V_P = $(am__v_P_@AM_V@)
124 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
125 am__v_P_0 = false
126 am__v_P_1 = :
127 AM_V_GEN = $(am__v_GEN_@AM_V@)
128 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
129 am__v_GEN_0 = @echo "  GEN     " $@;
130 am__v_GEN_1 = 
131 AM_V_at = $(am__v_at_@AM_V@)
132 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
133 am__v_at_0 = @
134 am__v_at_1 = 
135 SOURCES =
136 DIST_SOURCES =
137 RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
138         ctags-recursive dvi-recursive html-recursive info-recursive \
139         install-data-recursive install-dvi-recursive \
140         install-exec-recursive install-html-recursive \
141         install-info-recursive install-pdf-recursive \
142         install-ps-recursive install-recursive installcheck-recursive \
143         installdirs-recursive pdf-recursive ps-recursive \
144         tags-recursive uninstall-recursive
145 am__can_run_installinfo = \
146   case $$AM_UPDATE_INFO_DIR in \
147     n|no|NO) false;; \
148     *) (install-info --version) >/dev/null 2>&1;; \
149   esac
150 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
151   distclean-recursive maintainer-clean-recursive
152 am__recursive_targets = \
153   $(RECURSIVE_TARGETS) \
154   $(RECURSIVE_CLEAN_TARGETS) \
155   $(am__extra_recursive_targets)
156 AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
157         cscope distdir dist dist-all distcheck
158 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
159 # Read a list of newline-separated strings from the standard input,
160 # and print each of them once, without duplicates.  Input order is
161 # *not* preserved.
162 am__uniquify_input = $(AWK) '\
163   BEGIN { nonempty = 0; } \
164   { items[$$0] = 1; nonempty = 1; } \
165   END { if (nonempty) { for (i in items) print i; }; } \
166 '
167 # Make sure the list of sources is unique.  This is necessary because,
168 # e.g., the same source file might be shared among _SOURCES variables
169 # for different programs/libraries.
170 am__define_uniq_tagged_files = \
171   list='$(am__tagged_files)'; \
172   unique=`for i in $$list; do \
173     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
174   done | $(am__uniquify_input)`
175 ETAGS = etags
176 CTAGS = ctags
177 CSCOPE = cscope
178 DIST_SUBDIRS = $(SUBDIRS)
179 am__DIST_COMMON = $(srcdir)/Makefile.in COPYING ChangeLog README \
180         ar-lib compile depcomp install-sh missing
181 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
182 distdir = $(PACKAGE)-$(VERSION)
183 top_distdir = $(distdir)
184 am__remove_distdir = \
185   if test -d "$(distdir)"; then \
186     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
187       && rm -rf "$(distdir)" \
188       || { sleep 5 && rm -rf "$(distdir)"; }; \
189   else :; fi
190 am__post_remove_distdir = $(am__remove_distdir)
191 am__relativize = \
192   dir0=`pwd`; \
193   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
194   sed_rest='s,^[^/]*/*,,'; \
195   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
196   sed_butlast='s,/*[^/]*$$,,'; \
197   while test -n "$$dir1"; do \
198     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
199     if test "$$first" != "."; then \
200       if test "$$first" = ".."; then \
201         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
202         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
203       else \
204         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
205         if test "$$first2" = "$$first"; then \
206           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
207         else \
208           dir2="../$$dir2"; \
209         fi; \
210         dir0="$$dir0"/"$$first"; \
211       fi; \
212     fi; \
213     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
214   done; \
215   reldir="$$dir2"
216 DIST_ARCHIVES = $(distdir).tar.gz
217 GZIP_ENV = --best
218 DIST_TARGETS = dist-gzip
219 distuninstallcheck_listfiles = find . -type f -print
220 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
221   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
222 distcleancheck_listfiles = find . -type f -print
223 ACLOCAL = @ACLOCAL@
224 AMTAR = @AMTAR@
225 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
226 AR = @AR@
227 AUTOCONF = @AUTOCONF@
228 AUTOHEADER = @AUTOHEADER@
229 AUTOMAKE = @AUTOMAKE@
230 AWK = @AWK@
231 CC = @CC@
232 CCDEPMODE = @CCDEPMODE@
233 CFLAGS = @CFLAGS@
234 CPPFLAGS = @CPPFLAGS@
235 CYGPATH_W = @CYGPATH_W@
236 DEFS = @DEFS@
237 DEPDIR = @DEPDIR@
238 ECHO_C = @ECHO_C@
239 ECHO_N = @ECHO_N@
240 ECHO_T = @ECHO_T@
241 EXEEXT = @EXEEXT@
242 INSTALL = @INSTALL@
243 INSTALL_DATA = @INSTALL_DATA@
244 INSTALL_PROGRAM = @INSTALL_PROGRAM@
245 INSTALL_SCRIPT = @INSTALL_SCRIPT@
246 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
247 LDFLAGS = @LDFLAGS@
248 LIBOBJS = @LIBOBJS@
249 LIBS = @LIBS@
250 LTLIBOBJS = @LTLIBOBJS@
251 MAKEINFO = @MAKEINFO@
252 MKDIR_P = @MKDIR_P@
253 OBJEXT = @OBJEXT@
254 PACKAGE = @PACKAGE@
255 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
256 PACKAGE_NAME = @PACKAGE_NAME@
257 PACKAGE_STRING = @PACKAGE_STRING@
258 PACKAGE_TARNAME = @PACKAGE_TARNAME@
259 PACKAGE_URL = @PACKAGE_URL@
260 PACKAGE_VERSION = @PACKAGE_VERSION@
261 PATH_SEPARATOR = @PATH_SEPARATOR@
262 RANLIB = @RANLIB@
263 SET_MAKE = @SET_MAKE@
264 SHELL = @SHELL@
265 STRIP = @STRIP@
266 VERSION = @VERSION@
267 abs_builddir = @abs_builddir@
268 abs_srcdir = @abs_srcdir@
269 abs_top_builddir = @abs_top_builddir@
270 abs_top_srcdir = @abs_top_srcdir@
271 ac_ct_AR = @ac_ct_AR@
272 ac_ct_CC = @ac_ct_CC@
273 am__include = @am__include@
274 am__leading_dot = @am__leading_dot@
275 am__quote = @am__quote@
276 am__tar = @am__tar@
277 am__untar = @am__untar@
278 bindir = @bindir@
279 build_alias = @build_alias@
280 builddir = @builddir@
281 datadir = @datadir@
282 datarootdir = @datarootdir@
283 docdir = @docdir@
284 dvidir = @dvidir@
285 exec_prefix = @exec_prefix@
286 host_alias = @host_alias@
287 htmldir = @htmldir@
288 includedir = @includedir@
289 infodir = @infodir@
290 install_sh = @install_sh@
291 libdir = @libdir@
292 libexecdir = @libexecdir@
293 localedir = @localedir@
294 localstatedir = @localstatedir@
295 mandir = @mandir@
296 mkdir_p = @mkdir_p@
297 oldincludedir = @oldincludedir@
298 pdfdir = @pdfdir@
299 prefix = @prefix@
300 program_transform_name = @program_transform_name@
301 psdir = @psdir@
302 sbindir = @sbindir@
303 sharedstatedir = @sharedstatedir@
304 srcdir = @srcdir@
305 sysconfdir = @sysconfdir@
306 target_alias = @target_alias@
307 top_build_prefix = @top_build_prefix@
308 top_builddir = @top_builddir@
309 top_srcdir = @top_srcdir@
310 SUBDIRS = libexfat dump fsck label mkfs
311 all: all-recursive
312
313 .SUFFIXES:
314 am--refresh: Makefile
315         @:
316 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
317         @for dep in $?; do \
318           case '$(am__configure_deps)' in \
319             *$$dep*) \
320               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
321               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
322                 && exit 0; \
323               exit 1;; \
324           esac; \
325         done; \
326         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
327         $(am__cd) $(top_srcdir) && \
328           $(AUTOMAKE) --foreign Makefile
329 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
330         @case '$?' in \
331           *config.status*) \
332             echo ' $(SHELL) ./config.status'; \
333             $(SHELL) ./config.status;; \
334           *) \
335             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
336             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
337         esac;
338
339 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
340         $(SHELL) ./config.status --recheck
341
342 $(top_srcdir)/configure:  $(am__configure_deps)
343         $(am__cd) $(srcdir) && $(AUTOCONF)
344 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
345         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
346 $(am__aclocal_m4_deps):
347
348 # This directory's subdirectories are mostly independent; you can cd
349 # into them and run 'make' without going through this Makefile.
350 # To change the values of 'make' variables: instead of editing Makefiles,
351 # (1) if the variable is set in 'config.status', edit 'config.status'
352 #     (which will cause the Makefiles to be regenerated when you run 'make');
353 # (2) otherwise, pass the desired values on the 'make' command line.
354 $(am__recursive_targets):
355         @fail=; \
356         if $(am__make_keepgoing); then \
357           failcom='fail=yes'; \
358         else \
359           failcom='exit 1'; \
360         fi; \
361         dot_seen=no; \
362         target=`echo $@ | sed s/-recursive//`; \
363         case "$@" in \
364           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
365           *) list='$(SUBDIRS)' ;; \
366         esac; \
367         for subdir in $$list; do \
368           echo "Making $$target in $$subdir"; \
369           if test "$$subdir" = "."; then \
370             dot_seen=yes; \
371             local_target="$$target-am"; \
372           else \
373             local_target="$$target"; \
374           fi; \
375           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
376           || eval $$failcom; \
377         done; \
378         if test "$$dot_seen" = "no"; then \
379           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
380         fi; test -z "$$fail"
381
382 ID: $(am__tagged_files)
383         $(am__define_uniq_tagged_files); mkid -fID $$unique
384 tags: tags-recursive
385 TAGS: tags
386
387 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
388         set x; \
389         here=`pwd`; \
390         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
391           include_option=--etags-include; \
392           empty_fix=.; \
393         else \
394           include_option=--include; \
395           empty_fix=; \
396         fi; \
397         list='$(SUBDIRS)'; for subdir in $$list; do \
398           if test "$$subdir" = .; then :; else \
399             test ! -f $$subdir/TAGS || \
400               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
401           fi; \
402         done; \
403         $(am__define_uniq_tagged_files); \
404         shift; \
405         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
406           test -n "$$unique" || unique=$$empty_fix; \
407           if test $$# -gt 0; then \
408             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
409               "$$@" $$unique; \
410           else \
411             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
412               $$unique; \
413           fi; \
414         fi
415 ctags: ctags-recursive
416
417 CTAGS: ctags
418 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
419         $(am__define_uniq_tagged_files); \
420         test -z "$(CTAGS_ARGS)$$unique" \
421           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
422              $$unique
423
424 GTAGS:
425         here=`$(am__cd) $(top_builddir) && pwd` \
426           && $(am__cd) $(top_srcdir) \
427           && gtags -i $(GTAGS_ARGS) "$$here"
428 cscope: cscope.files
429         test ! -s cscope.files \
430           || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
431 clean-cscope:
432         -rm -f cscope.files
433 cscope.files: clean-cscope cscopelist
434 cscopelist: cscopelist-recursive
435
436 cscopelist-am: $(am__tagged_files)
437         list='$(am__tagged_files)'; \
438         case "$(srcdir)" in \
439           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
440           *) sdir=$(subdir)/$(srcdir) ;; \
441         esac; \
442         for i in $$list; do \
443           if test -f "$$i"; then \
444             echo "$(subdir)/$$i"; \
445           else \
446             echo "$$sdir/$$i"; \
447           fi; \
448         done >> $(top_builddir)/cscope.files
449
450 distclean-tags:
451         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
452         -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
453
454 distdir: $(DISTFILES)
455         $(am__remove_distdir)
456         test -d "$(distdir)" || mkdir "$(distdir)"
457         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
458         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
459         list='$(DISTFILES)'; \
460           dist_files=`for file in $$list; do echo $$file; done | \
461           sed -e "s|^$$srcdirstrip/||;t" \
462               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
463         case $$dist_files in \
464           */*) $(MKDIR_P) `echo "$$dist_files" | \
465                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
466                            sort -u` ;; \
467         esac; \
468         for file in $$dist_files; do \
469           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
470           if test -d $$d/$$file; then \
471             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
472             if test -d "$(distdir)/$$file"; then \
473               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
474             fi; \
475             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
476               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
477               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
478             fi; \
479             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
480           else \
481             test -f "$(distdir)/$$file" \
482             || cp -p $$d/$$file "$(distdir)/$$file" \
483             || exit 1; \
484           fi; \
485         done
486         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
487           if test "$$subdir" = .; then :; else \
488             $(am__make_dryrun) \
489               || test -d "$(distdir)/$$subdir" \
490               || $(MKDIR_P) "$(distdir)/$$subdir" \
491               || exit 1; \
492             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
493             $(am__relativize); \
494             new_distdir=$$reldir; \
495             dir1=$$subdir; dir2="$(top_distdir)"; \
496             $(am__relativize); \
497             new_top_distdir=$$reldir; \
498             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
499             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
500             ($(am__cd) $$subdir && \
501               $(MAKE) $(AM_MAKEFLAGS) \
502                 top_distdir="$$new_top_distdir" \
503                 distdir="$$new_distdir" \
504                 am__remove_distdir=: \
505                 am__skip_length_check=: \
506                 am__skip_mode_fix=: \
507                 distdir) \
508               || exit 1; \
509           fi; \
510         done
511         -test -n "$(am__skip_mode_fix)" \
512         || find "$(distdir)" -type d ! -perm -755 \
513                 -exec chmod u+rwx,go+rx {} \; -o \
514           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
515           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
516           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
517         || chmod -R a+r "$(distdir)"
518 dist-gzip: distdir
519         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
520         $(am__post_remove_distdir)
521
522 dist-bzip2: distdir
523         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
524         $(am__post_remove_distdir)
525
526 dist-lzip: distdir
527         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
528         $(am__post_remove_distdir)
529
530 dist-xz: distdir
531         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
532         $(am__post_remove_distdir)
533
534 dist-tarZ: distdir
535         @echo WARNING: "Support for distribution archives compressed with" \
536                        "legacy program 'compress' is deprecated." >&2
537         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
538         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
539         $(am__post_remove_distdir)
540
541 dist-shar: distdir
542         @echo WARNING: "Support for shar distribution archives is" \
543                        "deprecated." >&2
544         @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
545         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
546         $(am__post_remove_distdir)
547
548 dist-zip: distdir
549         -rm -f $(distdir).zip
550         zip -rq $(distdir).zip $(distdir)
551         $(am__post_remove_distdir)
552
553 dist dist-all:
554         $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
555         $(am__post_remove_distdir)
556
557 # This target untars the dist file and tries a VPATH configuration.  Then
558 # it guarantees that the distribution is self-contained by making another
559 # tarfile.
560 distcheck: dist
561         case '$(DIST_ARCHIVES)' in \
562         *.tar.gz*) \
563           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
564         *.tar.bz2*) \
565           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
566         *.tar.lz*) \
567           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
568         *.tar.xz*) \
569           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
570         *.tar.Z*) \
571           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
572         *.shar.gz*) \
573           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
574         *.zip*) \
575           unzip $(distdir).zip ;;\
576         esac
577         chmod -R a-w $(distdir)
578         chmod u+w $(distdir)
579         mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
580         chmod a-w $(distdir)
581         test -d $(distdir)/_build || exit 0; \
582         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
583           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
584           && am__cwd=`pwd` \
585           && $(am__cd) $(distdir)/_build/sub \
586           && ../../configure \
587             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
588             $(DISTCHECK_CONFIGURE_FLAGS) \
589             --srcdir=../.. --prefix="$$dc_install_base" \
590           && $(MAKE) $(AM_MAKEFLAGS) \
591           && $(MAKE) $(AM_MAKEFLAGS) dvi \
592           && $(MAKE) $(AM_MAKEFLAGS) check \
593           && $(MAKE) $(AM_MAKEFLAGS) install \
594           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
595           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
596           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
597                 distuninstallcheck \
598           && chmod -R a-w "$$dc_install_base" \
599           && ({ \
600                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
601                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
602                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
603                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
604                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
605               } || { rm -rf "$$dc_destdir"; exit 1; }) \
606           && rm -rf "$$dc_destdir" \
607           && $(MAKE) $(AM_MAKEFLAGS) dist \
608           && rm -rf $(DIST_ARCHIVES) \
609           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
610           && cd "$$am__cwd" \
611           || exit 1
612         $(am__post_remove_distdir)
613         @(echo "$(distdir) archives ready for distribution: "; \
614           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
615           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
616 distuninstallcheck:
617         @test -n '$(distuninstallcheck_dir)' || { \
618           echo 'ERROR: trying to run $@ with an empty' \
619                '$$(distuninstallcheck_dir)' >&2; \
620           exit 1; \
621         }; \
622         $(am__cd) '$(distuninstallcheck_dir)' || { \
623           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
624           exit 1; \
625         }; \
626         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
627            || { echo "ERROR: files left after uninstall:" ; \
628                 if test -n "$(DESTDIR)"; then \
629                   echo "  (check DESTDIR support)"; \
630                 fi ; \
631                 $(distuninstallcheck_listfiles) ; \
632                 exit 1; } >&2
633 distcleancheck: distclean
634         @if test '$(srcdir)' = . ; then \
635           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
636           exit 1 ; \
637         fi
638         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
639           || { echo "ERROR: files left in build directory after distclean:" ; \
640                $(distcleancheck_listfiles) ; \
641                exit 1; } >&2
642 check-am: all-am
643 check: check-recursive
644 all-am: Makefile
645 installdirs: installdirs-recursive
646 installdirs-am:
647 install: install-recursive
648 install-exec: install-exec-recursive
649 install-data: install-data-recursive
650 uninstall: uninstall-recursive
651
652 install-am: all-am
653         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
654
655 installcheck: installcheck-recursive
656 install-strip:
657         if test -z '$(STRIP)'; then \
658           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
659             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
660               install; \
661         else \
662           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
663             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
664             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
665         fi
666 mostlyclean-generic:
667
668 clean-generic:
669
670 distclean-generic:
671         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
672         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
673
674 maintainer-clean-generic:
675         @echo "This command is intended for maintainers to use"
676         @echo "it deletes files that may require special tools to rebuild."
677 clean: clean-recursive
678
679 clean-am: clean-generic mostlyclean-am
680
681 distclean: distclean-recursive
682         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
683         -rm -f Makefile
684 distclean-am: clean-am distclean-generic distclean-tags
685
686 dvi: dvi-recursive
687
688 dvi-am:
689
690 html: html-recursive
691
692 html-am:
693
694 info: info-recursive
695
696 info-am:
697
698 install-data-am:
699
700 install-dvi: install-dvi-recursive
701
702 install-dvi-am:
703
704 install-exec-am:
705
706 install-html: install-html-recursive
707
708 install-html-am:
709
710 install-info: install-info-recursive
711
712 install-info-am:
713
714 install-man:
715
716 install-pdf: install-pdf-recursive
717
718 install-pdf-am:
719
720 install-ps: install-ps-recursive
721
722 install-ps-am:
723
724 installcheck-am:
725
726 maintainer-clean: maintainer-clean-recursive
727         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
728         -rm -rf $(top_srcdir)/autom4te.cache
729         -rm -f Makefile
730 maintainer-clean-am: distclean-am maintainer-clean-generic
731
732 mostlyclean: mostlyclean-recursive
733
734 mostlyclean-am: mostlyclean-generic
735
736 pdf: pdf-recursive
737
738 pdf-am:
739
740 ps: ps-recursive
741
742 ps-am:
743
744 uninstall-am:
745
746 .MAKE: $(am__recursive_targets) install-am install-strip
747
748 .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
749         am--refresh check check-am clean clean-cscope clean-generic \
750         cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
751         dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
752         distcheck distclean distclean-generic distclean-tags \
753         distcleancheck distdir distuninstallcheck dvi dvi-am html \
754         html-am info info-am install install-am install-data \
755         install-data-am install-dvi install-dvi-am install-exec \
756         install-exec-am install-html install-html-am install-info \
757         install-info-am install-man install-pdf install-pdf-am \
758         install-ps install-ps-am install-strip installcheck \
759         installcheck-am installdirs installdirs-am maintainer-clean \
760         maintainer-clean-generic mostlyclean mostlyclean-generic pdf \
761         pdf-am ps ps-am tags tags-am uninstall uninstall-am
762
763 .PRECIOUS: Makefile
764
765
766 # Tell versions [3.59,3.63) of GNU make to not export all variables.
767 # Otherwise a system limit (for SysV at least) may be exceeded.
768 .NOEXPORT: